Documentation Index
Fetch the complete documentation index at: https://docs.getcatalog.ai/llms.txt
Use this file to discover all available pages before exploring further.
When to use: Use this endpoint when you need to stop an extraction job that is currently running. This is useful if:
- You started an extraction job by mistake
- The extraction is taking longer than expected and you want to stop it
- You need to free up resources for other operations
Cancellation Requirements: You can only cancel executions that are currently running (status "running").
- If an execution has already completed or failed, it cannot be canceled
- Executions that are waiting for a crawl to complete (status
"pending" with waiting_for in meta) cannot be canceled until they start running
- The endpoint will return an error if you attempt to cancel a non-running execution
Request
Your API key for authentication
Response
Status after cancellation. Always "canceled" on success.
The execution identifier that was canceled
ISO 8601 timestamp when the execution was stopped (null if not available)
# Cancel a running execution (urls input)
curl -X DELETE "https://api.getcatalog.ai/v2/extract/extract-urls-965b1912-6af0-4ed8-b7e3-184b85e788b7" \
-H "x-api-key: $CATALOG_API_KEY"
# Cancel a running execution (vendor input)
curl -X DELETE "https://api.getcatalog.ai/v2/extract/extract-nike-com-51d87084" \
-H "x-api-key: $CATALOG_API_KEY"
{
"status": "canceled",
"execution_id": "extract-urls-965b1912-6af0-4ed8-b7e3-184b85e788b7",
"stop_date": "2025-01-15T10:35:22.000Z"
}